Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrSession.JcrPreSave

    java.lang.Object
      org.modeshape.jcr.JcrSession.JcrPreSave

All Implemented Interfaces:
  SessionCache.PreSave

Enclosing class:
  JcrSession

    protected final class JcrSession.JcrPreSave

extends Object
implements SessionCache.PreSave

Define the operations that are to be performed on all the nodes that were created or modified within this session. This class was designed to be as efficient as possible for most nodes, since most nodes do not need any additional processing.

Constructor Summary
`protected` | `JcrSession.JcrPreSave(SystemContent content, Map<NodeKey,NodeKey> baseVersionKeys, Map<NodeKey,NodeKey> originalVersionKeys)`

Method Summary
`void` | `process(MutableCachedNode node, SessionCache.SaveContext context)` Process the supplied node prior to saving the changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrSession.JcrPreSave

    protected JcrSession.JcrPreSave(SystemContent content,
                                    Map<NodeKey,NodeKey> baseVersionKeys,
                                    Map<NodeKey,NodeKey> originalVersionKeys)

Method Detail

### process

    public void process(MutableCachedNode node,
                        SessionCache.SaveContext context)
                 throws Exception

  Description copied from interface: `SessionCache.PreSave`
  Process the supplied node prior to saving the changes. This allows implementations to use the changes to automatically adjust this node or other content.

  Specified by:
    `process` in interface `SessionCache.PreSave`
  Parameters:
    `node` - the mutable node that was changed in this session; never null
    `context` - the context of the save operation; never null
  Throws:
    `Exception` - if there is a problem during the processing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.